[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TRasterImage.SetSize

SetSize - specifies height and width of Image.

## Declaration

Source position: graphics.pp line 1294

`protected procedure TRasterImage.SetSize(`
`AWidth: Integer;`
`AHeight: Integer`
`); virtual; abstract;`

## Arguments

`AWidth` |  | New width for the image.
`AHeight` |  | New height for the image.

## Description

SetSize is used to set the Height and Width for the image to the specified values.

SetSize is an abstract virtual method in TRasterImage, and must be implemented in a descendent class to perform actions needed to resize the raw image data for a specific image format.